Bug 137139 - New port: devel/p5-Moose-Autobox
Summary: New port: devel/p5-Moose-Autobox
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-25 21:50 UTC by Bill Brinzer
Modified: 2009-07-28 18:20 UTC (History)
0 users

See Also:


Attachments
p5-Moose-Autobox.shar (3.50 KB, text/plain)
2009-07-25 21:50 UTC, Bill Brinzer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bill Brinzer 2009-07-25 21:50:00 UTC
Moose::Autobox provides an implementation of SCALAR, ARRAY, HASH & CODE for use
with autobox. It does this using a hierarchy of roles in a manner similar to
what Perl 6 might do.

Note: This port depends on the devel/p5-autobox port which I've just
submitted (PR ports/137137).  Also, it appears to be an unlisted dependency of
the recently updated www/p5-Catalyst-Model-DBIC-Schema 0.25.
Comment 1 Martin Wilke freebsd_committer 2009-07-26 10:56:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-07-28 18:12:45 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 3 dfilter service freebsd_committer 2009-07-28 18:13:17 UTC
miwi        2009-07-28 17:13:03 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-Moose-Autobox Makefile distinfo pkg-descr pkg-plist 
  Log:
  Moose::Autobox provides an implementation of SCALAR, ARRAY, HASH & CODE for use
  with autobox. It does this using a hierarchy of roles in a manner similar to
  what Perl 6 might do.
  
  WWW: http://search.cpan.org/dist/Moose-Autobox/
  
  PR:             ports/137139
  Submitted by:   Bill Brinzer <bill.brinzer at gmail.com>
  
  Revision  Changes    Path
  1.3572    +1 -0      ports/devel/Makefile
  1.1       +44 -0     ports/devel/p5-Moose-Autobox/Makefile (new)
  1.1       +3 -0      ports/devel/p5-Moose-Autobox/distinfo (new)
  1.1       +5 -0      ports/devel/p5-Moose-Autobox/pkg-descr (new)
  1.1       +19 -0     ports/devel/p5-Moose-Autobox/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"